Package org.apache.maven.shared.artifact.filter

## Class StrictPatternIncludesArtifactFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.AbstractStrictPatternArtifactFilter
  - - org.apache.maven.shared.artifact.filter.StrictPatternIncludesArtifactFilter

All Implemented Interfaces:
  `org.apache.maven.artifact.resolver.filter.ArtifactFilter`

    public class StrictPatternIncludesArtifactFilter
    extends AbstractStrictPatternArtifactFilter

Filter to include artifacts from a list of patterns. `AbstractStrictPatternArtifactFilter` describes the artifact pattern syntax.

Version:
  $Id: StrictPatternIncludesArtifactFilter.java 1400653 2012-10-21 14:18:01Z hboutemy $
Author:
  Mark Hobson
See Also:
  `AbstractStrictPatternArtifactFilter`, `PatternIncludesArtifactFilter`

### Constructor Summary

Constructors
`StrictPatternIncludesArtifactFilter​(java.util.List<java.lang.String> patterns)` Creates a new filter that includes artifacts that match the specified patterns.

### Method Summary

### Methods inherited from class org.apache.maven.shared.artifact.filter.AbstractStrictPatternArtifactFilter

`include`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrictPatternIncludesArtifactFilter

    public StrictPatternIncludesArtifactFilter​(java.util.List<java.lang.String> patterns)

Creates a new filter that includes artifacts that match the specified patterns.

Parameters:
  `patterns` - the list of artifact patterns to match, as described above